@import url("variables.css");

@import url("reset.css");

:root{
    font-family: 'Roboto', sans-serif;
    color:var(--text-color-dark);
}

body {
    background: var(--main-bg-color);
}

.container {
    width: min(100%, 1400px);
    padding: 1rem 2rem;
    margin: auto;
}

a:hover, a:focus, a:active {
    color: var(--text-color-accent);
}

.highlight {
    font-weight: 700;
    color: var(--text-color-accent);
}

/* NAVBAR */

header {
    display: grid;
    height: 4rem;
    background-color: var(--main-color);
    color: var(--text-color-light);
}

header .container {
    display: flex;
    justify-content: space-between;
}

h2, nav {
    align-self: center;
}

nav {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

nav a:hover, nav a:focus {
    text-decoration: underline;
}

/* HERO */

.hero {
    background-image: url("../img/hero.jpg");
    background-position: bottom;
    background-size: cover;
    background-color: var(--main-color);
    height: calc(100vh - 4rem);
    display: flex;
    justify-content: center;
    align-items: center;
    background-blend-mode: hard-light;
    position: relative;
}

h1 {
    text-align: center;
    font-size: 3rem;
    color: var(--text-color-light);
    width: min(100%, 800px);
    padding: 1rem;
}

.btn--scroll {
    position: absolute;
    bottom: 1rem;
    font-size: 3rem;
    color: white;
}